{
  "meta": {
    "stableOrder": true
  },
  "lockfileVersion": 3,
  "ATTENTION": "THIS IS AN AUTOGENERATED FILE. DO NOT EDIT THIS FILE DIRECTLY.",
  "specifiers": {
    "@aliyun/error@1.0.2": "@aliyun/error@1.0.2",
    "@aliyun/httpdns@1.1.1": "@aliyun/httpdns@1.1.1",
    "@aliyun/logger@1.0.2": "@aliyun/logger@1.0.2",
    "@itcast/basic@../../commons/basic": "@itcast/basic@../../commons/basic",
    "@ohos/crypto-js@2.0.3": "@ohos/crypto-js@2.0.4",
    "@ohos/crypto-js@^2.0.2": "@ohos/crypto-js@2.0.4",
    "@ohos/httpclient@2.0.2": "@ohos/httpclient@2.0.2",
    "@polyvharmony/httpdns-api@1.0.2": "@polyvharmony/httpdns-api@1.0.2",
    "@polyvharmony/httpdns-impl-ali@1.0.2": "@polyvharmony/httpdns-impl-ali@1.0.2",
    "@polyvharmony/httpdns-impl-local@1.0.2": "@polyvharmony/httpdns-impl-local@1.0.2",
    "@polyvharmony/media-player-business@2.5.0": "@polyvharmony/media-player-business@2.5.0",
    "@polyvharmony/media-player-core-api@2.5.0": "@polyvharmony/media-player-core-api@2.5.0",
    "@polyvharmony/media-player-core-ijk@2.5.0": "@polyvharmony/media-player-core-ijk@2.5.0",
    "@polyvharmony/media-player-foundation@2.5.0": "@polyvharmony/media-player-foundation@2.5.0",
    "@polyvharmony/media-player-sdk-addon-cache-down@2.5.0": "@polyvharmony/media-player-sdk-addon-cache-down@2.5.0",
    "@polyvharmony/media-player-sdk@2.5.0": "@polyvharmony/media-player-sdk@2.5.0",
    "base64-js@^1.5.1": "base64-js@1.5.1",
    "home@../../features/Home": "home@../../features/Home",
    "media-player-common@../../polyv": "media-player-common@../../polyv",
    "mypage@../../features/mypage": "mypage@../../features/mypage",
    "pako@^2.1.0": "pako@2.1.0",
    "register@../../features/register": "register@../../features/register",
    "scene_single_video@../../scene_single_video": "scene_single_video@../../scene_single_video"
  },
  "packages": {
    "@aliyun/error@1.0.2": {
      "name": "@aliyun/error",
      "version": "1.0.2",
      "integrity": "sha512-hESGtOCjFmyWRAWjEwJ7izFJsOXDto1DGvOrFO3II6mPEWvpow3UMpYqeBVzLvBUcdFtFkoF/rCEPLHXOK8nmQ==",
      "resolved": "https://repo.harmonyos.com/ohpm/@aliyun/error/-/error-1.0.2.har",
      "registryType": "ohpm"
    },
    "@aliyun/httpdns@1.1.1": {
      "name": "@aliyun/httpdns",
      "version": "1.1.1",
      "integrity": "sha512-VyjxuvnlOiaijdGRXnK0q4NQO8IX5E2zETap/9JObpS2vjcBWAiok5MxprhoXl9YeAgv70pnOD0M70BqHq8++w==",
      "resolved": "https://repo.harmonyos.com/ohpm/@aliyun/httpdns/-/httpdns-1.1.1.har",
      "registryType": "ohpm",
      "dependencies": {
        "@aliyun/logger": "1.0.2",
        "@aliyun/error": "1.0.2"
      }
    },
    "@aliyun/logger@1.0.2": {
      "name": "@aliyun/logger",
      "version": "1.0.2",
      "integrity": "sha512-8iRVhBv1GHy1J7swZWDdDghcUzxieOc+Bf9UVUX4n8D99EPFo6GnM97ObfbF6f6JREByQ9YSH+dsxYTFNM5e1g==",
      "resolved": "https://repo.harmonyos.com/ohpm/@aliyun/logger/-/logger-1.0.2.har",
      "registryType": "ohpm"
    },
    "@itcast/basic@../../commons/basic": {
      "name": "@itcast/basic",
      "version": "1.0.0",
      "resolved": "../../commons/basic",
      "registryType": "local"
    },
    "@ohos/crypto-js@2.0.4": {
      "name": "@ohos/crypto-js",
      "version": "2.0.4",
      "integrity": "sha512-589ur6oqU1UNibqefMly2cwEeEhkSoCAA3uc+oNUwRnYYtevn/kQnO+Coi36N+VJSeeg/uFzZk1K/wUMdovpOA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/crypto-js/-/crypto-js-2.0.4.har",
      "registryType": "ohpm"
    },
    "@ohos/httpclient@2.0.2": {
      "name": "@ohos/httpclient",
      "version": "2.0.2",
      "integrity": "sha512-acFEfQ9ZJti4KEYDBErCq0W85uc2khen41LIkBLVcfFXmgZAGeRKV+CPiSyG8v+5nUD7Wf2ncjBxxPxr6moqVg==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/httpclient/-/httpclient-2.0.2.har",
      "registryType": "ohpm",
      "dependencies": {
        "pako": "^2.1.0",
        "@ohos/crypto-js": "^2.0.2",
        "base64-js": "^1.5.1"
      }
    },
    "@polyvharmony/httpdns-api@1.0.2": {
      "name": "@polyvharmony/httpdns-api",
      "version": "1.0.2",
      "integrity": "sha512-p3vd3i4oClAp/rf2RD3vIdKRSisabOB/+K+wYB9nHuf5ZDTw3Yv4o+dLQewm0atqf00JGF3Y0IiwURCpryJX5Q==",
      "resolved": "https://repo.harmonyos.com/ohpm/@polyvharmony/httpdns-api/-/httpdns-api-1.0.2.har",
      "registryType": "ohpm"
    },
    "@polyvharmony/httpdns-impl-ali@1.0.2": {
      "name": "@polyvharmony/httpdns-impl-ali",
      "version": "1.0.2",
      "integrity": "sha512-DQGPBfTHZyGxcUJRBxRhge2HoXW3aZZjkjqy7KeI9bUXCnltq4dCBwz6GCldtoZduGvJDuv+HogZL3DA8BatvA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@polyvharmony/httpdns-impl-ali/-/httpdns-impl-ali-1.0.2.har",
      "registryType": "ohpm",
      "dependencies": {
        "@polyvharmony/httpdns-api": "1.0.2",
        "@aliyun/httpdns": "1.1.1"
      }
    },
    "@polyvharmony/httpdns-impl-local@1.0.2": {
      "name": "@polyvharmony/httpdns-impl-local",
      "version": "1.0.2",
      "integrity": "sha512-KKK1PUmpudmwucbi0uZ+a56Bqryw2HlEI0hiA8mc5LjhLVZ49QxPX3ARZw3Sw/IRasWBvkSXuRpNrA8AuxchKA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@polyvharmony/httpdns-impl-local/-/httpdns-impl-local-1.0.2.har",
      "registryType": "ohpm",
      "dependencies": {
        "@polyvharmony/httpdns-api": "1.0.2"
      }
    },
    "@polyvharmony/media-player-business@2.5.0": {
      "name": "@polyvharmony/media-player-business",
      "version": "2.5.0",
      "integrity": "sha512-ta9YBq8cvwNPuRwQpAopodFB0WHbAfRUhgosGqT+UDEHZtlXsajLFmplPhoqYpFb649FVe6vDjVdHgsp6bKmtQ==",
      "resolved": "https://repo.harmonyos.com/ohpm/@polyvharmony/media-player-business/-/media-player-business-2.5.0.har",
      "registryType": "ohpm",
      "dependencies": {
        "@polyvharmony/media-player-core-api": "2.5.0",
        "@polyvharmony/media-player-foundation": "2.5.0",
        "@ohos/httpclient": "2.0.2",
        "@ohos/crypto-js": "2.0.3"
      }
    },
    "@polyvharmony/media-player-core-api@2.5.0": {
      "name": "@polyvharmony/media-player-core-api",
      "version": "2.5.0",
      "integrity": "sha512-23Z4p0nPWAGJuifAr5qfhB39b0RdU7LQnOKPJTtPX4fc3qyGDoyQ7Y4/e+WulTm/JaDgsQ7xTn+Hmq+ryNl5cA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@polyvharmony/media-player-core-api/-/media-player-core-api-2.5.0.har",
      "registryType": "ohpm",
      "dependencies": {
        "@polyvharmony/media-player-foundation": "2.5.0"
      }
    },
    "@polyvharmony/media-player-core-ijk@2.5.0": {
      "name": "@polyvharmony/media-player-core-ijk",
      "version": "2.5.0",
      "integrity": "sha512-LieKq0vm8QpTNLzw+QSVRok9xoJV0fDVR4Aw1bRClnpd4Mmb99JvwuW6isCRYsrZJievsxbbNet/qSqjb+OJhw==",
      "resolved": "https://repo.harmonyos.com/ohpm/@polyvharmony/media-player-core-ijk/-/media-player-core-ijk-2.5.0.har",
      "registryType": "ohpm",
      "dependencies": {
        "@polyvharmony/media-player-core-api": "2.5.0",
        "@polyvharmony/media-player-foundation": "2.5.0"
      }
    },
    "@polyvharmony/media-player-foundation@2.5.0": {
      "name": "@polyvharmony/media-player-foundation",
      "version": "2.5.0",
      "integrity": "sha512-P1beEIZs2ySGrNGWo2RRi8/hQopZkLE6Cdi+53/UJI4iXFeciWZQMXold3KBqlMzNm369BEysaoprtCsWLMC8Q==",
      "resolved": "https://repo.harmonyos.com/ohpm/@polyvharmony/media-player-foundation/-/media-player-foundation-2.5.0.har",
      "registryType": "ohpm",
      "dependencies": {
        "@ohos/httpclient": "2.0.2",
        "@ohos/crypto-js": "2.0.3",
        "@polyvharmony/httpdns-api": "1.0.2"
      }
    },
    "@polyvharmony/media-player-sdk-addon-cache-down@2.5.0": {
      "name": "@polyvharmony/media-player-sdk-addon-cache-down",
      "version": "2.5.0",
      "integrity": "sha512-wN6OQaQm65GPL39nVWYx9vRyua6TflbIXddoataxHrlW2Nf7N3PJZjmFW0zaTPC5EyzsnmkRh/4zN2zHvyQDUA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@polyvharmony/media-player-sdk-addon-cache-down/-/media-player-sdk-addon-cache-down-2.5.0.har",
      "registryType": "ohpm",
      "dependencies": {
        "@polyvharmony/media-player-business": "2.5.0",
        "@polyvharmony/media-player-foundation": "2.5.0",
        "@polyvharmony/media-player-core-ijk": "2.5.0"
      }
    },
    "@polyvharmony/media-player-sdk@2.5.0": {
      "name": "@polyvharmony/media-player-sdk",
      "version": "2.5.0",
      "integrity": "sha512-Of8xCFhAD0O8s7Q0jzwSf4potYJJcI/j+MrNvU23sgXnEAX6DG7azIehuCn+k6AMHvxgLF1LlEMp17v3pkc/XA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@polyvharmony/media-player-sdk/-/media-player-sdk-2.5.0.har",
      "registryType": "ohpm",
      "dependencies": {
        "@polyvharmony/media-player-business": "2.5.0",
        "@polyvharmony/media-player-core-api": "2.5.0",
        "@polyvharmony/media-player-foundation": "2.5.0"
      }
    },
    "base64-js@1.5.1": {
      "name": "base64-js",
      "version": "1.5.1",
      "integrity": "sha512-AKpaYlHn8t4SVbOHCy+b5+KKgvR4vrsD8vbvrbiQJps7fKDTkjkDry6ji0rUJjC0kzbNePLwzxq8iypo41qeWA==",
      "resolved": "https://repo.harmonyos.com/ohpm/base64-js/-/base64-js-1.5.1.tgz",
      "shasum": "1b1b440160a5bf7ad40b650f095963481903930a",
      "registryType": "ohpm"
    },
    "home@../../features/Home": {
      "name": "home",
      "version": "1.0.0",
      "resolved": "../../features/Home",
      "registryType": "local",
      "dependencies": {
        "@itcast/basic": "file:../../commons/basic",
        "@polyvharmony/media-player-sdk": "2.5.0",
        "@polyvharmony/media-player-sdk-addon-cache-down": "2.5.0",
        "scene_single_video": "file:../../scene_single_video",
        "media-player-common": "file:../../polyv"
      }
    },
    "media-player-common@../../polyv": {
      "name": "media-player-common",
      "version": "2.5.0",
      "resolved": "../../polyv",
      "registryType": "local",
      "dependencies": {
        "@polyvharmony/media-player-sdk": "2.5.0",
        "@polyvharmony/media-player-sdk-addon-cache-down": "2.5.0"
      }
    },
    "mypage@../../features/mypage": {
      "name": "mypage",
      "version": "1.0.0",
      "resolved": "../../features/mypage",
      "registryType": "local",
      "dependencies": {
        "@itcast/basic": "file:../../commons/basic"
      }
    },
    "pako@2.1.0": {
      "name": "pako",
      "version": "2.1.0",
      "integrity": "sha512-w+eufiZ1WuJYgPXbV/PO3NCMEc3xqylkKHzp8bxp1uW4qaSNQUkwmLLEc3kKsfz8lpV1F8Ht3U1Cm+9Srog2ug==",
      "resolved": "https://repo.harmonyos.com/ohpm/pako/-/pako-2.1.0.tgz",
      "shasum": "266cc37f98c7d883545d11335c00fbd4062c9a86",
      "registryType": "ohpm"
    },
    "register@../../features/register": {
      "name": "register",
      "version": "1.0.0",
      "resolved": "../../features/register",
      "registryType": "local",
      "dependencies": {
        "@itcast/basic": "file:../../commons/basic"
      }
    },
    "scene_single_video@../../scene_single_video": {
      "name": "scene_single_video",
      "version": "2.5.0",
      "resolved": "../../scene_single_video",
      "registryType": "local",
      "dependencies": {
        "media-player-common": "file:../polyv",
        "@polyvharmony/media-player-sdk": "2.5.0"
      }
    }
  }
}